F2821D P25 and firmware downgrade

Forum dedicated to discussion on Icom Commercial Radio products such as F70, F80, F1721, F2821, F9011, F9021, F9411, F9521, F9511HT.
Post Reply
Shillson
Posts: 1
Joined: Thu Aug 27, 2015 9:46 pm

F2821D P25 and firmware downgrade

Post by Shillson » Thu Aug 27, 2015 9:56 pm

Hi,

I have firmware version 2.9 in my F2821D, and am experiencing an issue with P25, where it works fine in simplex, but doesn't when using a repeater. Another board says downgrading to version 2.5 solves this problem. I have the firmware (and application), but when I try to use it, I get an error about not being able to boot the radio (or some such). User on same board says I need to use the *ICOM* USB programming cable. This doesn't make sense to me, because all that does is convert to RS232/serial. I'm using a serial DB9 cable which to me seems like that would eliminate any conversion issues.

Can anyone provide some insight into this problem? Do I need to set up my serial port in a non-standard configuration? Right now it's 9600 8N1. Or am I just completely off base and need to spend the $100 for a factory cable?

Thanks in advance!

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest